@import 'variable';
@import 'reset';
@import'content-area';

*{
    box-sizing: border-box;
}

body{
    background: $greyLight;
    float: right;
    direction: rtl;
}

#sideMenu{
    background: $purpleLight;
    width: 280px;
    direction: rtl;
    position: absolute;
    float: left;
    top: 0;
    bottom: 0;

    nav{
        padding-top: 100px;
        

        a{  color: grey;
            padding: 15px 30px;
            text-decoration: none;
            display: block;
            font-weight: 300;
            font-family: 'Open Sans', sans-serif;
            transition: all 0.3s ease-in-out;
            &:hover{
                background: $purpleDark;
                border-left: 5px solid $neonGreen;
            }

            .fa{
                color: $greyDark;
                font-size: 1.6rem;
                margin-right: 10px;
                display: inline-block;
                width: 20px;
                position: relative;
                top: 2px;
            }
             &.active{
                background: $purpleDark;
                color: white;
                border-left: 5px solid $neonGreen;
                padding: 15px 30px 15px 25px;
                .fa{
                    color: $neonGreen;
                }

            }
            
            // &:active{
            //     background: $purpleDark;
            //     color: white;
            //     border-left: 5px solid $neonGreen;
            // }
            // &:focus{
            //     background: $purpleDark;
            //                 color: white;
            //                 border-left: 5px solid $neonGreen;
            // }
        }
    }
}

header{
    margin-left: 280px;
    padding:10px;
    background: #ffffff;

    .searchArea{
        display: inline-block; 
        width: 50%;

        .fa{
            color: $greyDark;  
            display: inline-block;
        }

        input[type="text"]{
            background: transparent;
            border: none;
            font-size: 1.3rem;
            color: $neonGreen;
            padding:10px;
            font-weight: 100;
            width: 80%;
            outline: none;
            transition: all .5 ease-in-out;
            &:hover{
                background-color: $greyLight;
            }
            &:focus{
                background-color: $greyLight;
            }



        }

    }

    .userArea{
        float: right;
        display: inline-block;
        padding: 10px;


        a{  
            color: $purpleLight;
            vertical-align: middle;
            height: 30px;
            display: inline-block;
            padding-right: 20px;
            text-decoration: none;
            font-family:  'Open Sans', sans-serif;
            &.Add{
                font-size: 16px;
                font-weight: 300;
                padding-top: 7px;
            }
            
            &.notification{
                font-size: 20px;
                padding-top: 7px;
                position: relative;
                .circle{
                display: inline-block;
                background: red;
                width: 12px;
                height: 12px;
                display: inline-block;
                border-radius: 50%;
                font-size: 10px;
                color: white;
                text-align: center;
                position: absolute;
                top: 2px;
                left: 6px;
                }

            }

        
        }
        .userImage{
                background: url('../images/Avatar-icon.jpg') no-repeat center center ; 
                -webkit-background-size: cover;
                -moz-background-size: cover;
                -o-background-size: cover;
                background-size: cover;
                width: 34px;
                height: 34px;
                display: inline-block;
                border-radius: 50%;
                margin-right: 10px;
                // position: relative;
                // top: 5px;

        }
    .downIcon{
        position: relative;
        top: -8px;
    }
    }
}

